commit:     ed2d9347b7da75bada1ffd581ad7903646427e0b
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 18 20:57:31 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Jul 18 20:58:03 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed2d9347

app-office/ledger: Fix build with >=boost-1.70

Closes: https://bugs.gentoo.org/654326
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 app-office/ledger/ledger-3.1.2.ebuild | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

diff --git a/app-office/ledger/ledger-3.1.2.ebuild 
b/app-office/ledger/ledger-3.1.2.ebuild
index 1fe3082e204..d027cb0f735 100644
--- a/app-office/ledger/ledger-3.1.2.ebuild
+++ b/app-office/ledger/ledger-3.1.2.ebuild
@@ -62,10 +62,13 @@ pkg_setup() {
 
 src_prepare() {
        cmake-utils_src_prepare
-       sed -r -i \
-               -e '/set.BOOST_PYTHON/s/python27/python-2.7/g' \
-               "${S}/CMakeLists.txt" \
-               || die "Failed to update CMakeLists.txt for python2.7 boost"
+
+       if ! has_version ">=dev-libs/boost-1.70"; then
+               sed -r -i \
+                       -e '/set.BOOST_PYTHON/s/python27/python-2.7/g' \
+                       "${S}/CMakeLists.txt" \
+                       || die "Failed to update CMakeLists.txt for python2.7 
boost"
+       fi
 
        # Want to type "info ledger" not "info ledger3"
        sed -i -e 's/ledger3/ledger/g' \

Reply via email to